<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Introduction</title>
	</head>
	<body>
		<!-- Creates a heading text -->
		<h1>Zuitt Coding Bootcamp</h1>
		<!-- <h2>Zuitt Coding Bootcamp</h2>
		<h3>Zuitt Coding Bootcamp</h3>
		<h4>Zuitt Coding Bootcamp</h4>
		<h5>Zuitt Coding Bootcamp</h5>
		<h6>Zuitt Coding Bootcamp</h6> -->

		<!-- Creates a smaller heading text -->
		<h3>John Doe</h3>

		<!-- adds a horizontal rule element -->
		<!-- single/self-closing tag -->
		<hr>

		<!-- Introductory Paragraph -->
		<!-- Create a paragraph text -->
		<p>
			<!-- <em> creates emphasis on text </em> -->
			<!-- <em> </em> is an inline element -->
			<!-- <strong> </strong> creates importance on text -->
			Welcome to <em>Zuitt</em>!
			<!-- <br> tag creates a line break between text -->
			<br>In this online bootcamp course, you will learn a lot of things. Let's enumerate all the things that will make you a <strong>full-stack web developer</strong>.
		</p>

		<!-- Create an unordered list (bullet point) -->
		<ul>
			<!-- List of Languages, Frameworks, and Tools -->
			<!-- Creates the list item -->
			<li>Languages</li>
				<!-- Nested unordered list -->
				<ul>
					<li>HTML</li>
					<li>CSS</li>
					<li>Javascript</li>
				</ul>
			<li>Frameworks & Libraries</li>
				<!-- Creates an ordered list (number point) -->
				<ol>
					<li>Bootstrap</li>
					<li>Express.js</li>
					<li>React.js</li>
				</ol>
			<li>Tools</li>
				<ol>
					<li>Git</li>
					<li>Gitlab</li>
					<li>Sublime Text 3</li>
					<li>Postman</li>
					<li>Others</li>
						<ul>
							<li>MongoDB</li>
							<li>Robo 3T</li>
						</ul>
				</ol>
		</ul>

		<!-- Closing paragraph -->
		<p>
			There is a lot to learn in this bootcamp. It may look overwhelming at the beginning, but it's all worth it when you graduate!
		</p>

	</body>
</html>

<!-- 
	
	To insert comments : Windows - ctrl + /

	Comments are useful for proper documentation and allow us developers to understand written code better.
		-Note: These are ignored by the browser and do not show them as text.

 -->

<!-- 

	<html> tag - tells the browser to read the contents of the file as HTML 

-->

<!-- 

	<head> tag - contains the details of the HTML files that is not visible in the browser

 -->

<!-- 

	"utf-8" is common character encoding for WWW
	"viewport" allows us to have responsive web page. It can be viewed on different devices (mobile, tablet, and PC)
 -->

<!-- 

	<title> tag - sets the title of the tab shown in the browser.

-->

<!-- 

	<body> tag - contains the actual content of the HTML file that are visible in the browser.

-->

<!-- 

	A web page adheres to what is called a "document flow".
	This determines how an element is to be presented.

	- Block element
		- Will cause a line break and occupy the full width of the web page.

	- Inline element
		- This will not cause a line break and will only take the space needed.

-->



<!-- 
	=====Shortcut keys & tips=====
1. html + Tab key / ht + Tab key
	- Sublime Text autocomplete feature for HTML Structure.
2. Tab key
	- increase indentation.
3. Shift + Tab key
	- decrease indentation.
4. Ctrl + / key (forward slash)
	- To insert comment.
5. Ctrl + Shift + V key
	- paste without formatting
6. Hold Ctrl key + click each line
	- to insert/edit multiple lines
7. Sublime Text Editor > Right click > Open in Browser
	- To open a html file in the browser.
8. View > Word Wrap
	- If the text/code line exceeds the width of the editor and creates a horizontal scrolling at the bottom, you may set the sublime text editor to use word wrapping.
 -->
